=== debian/changelog ===
ros-kinetic-homer-mapping (0.1.53-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 17 Jan 2019 16:20:35 -0000

ros-kinetic-homer-mapping (0.1.41-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-mapping (0.1.40-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-mapping (0.1.39-0xenial) xenial; urgency=high

  * Merge branch 'ld_fix_tiago_tf' into 'master'
    Update slam_node.cpp
    See merge request robbie/homer_mapping!17
  * Update slam_node.cpp
  * Contributors: Lukas Debald, Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 13 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.38-0xenial) xenial; urgency=high

  * Merge branch 'ld_fix_tiago_tf' into 'master'
    Ld fix tiago tf
    See merge request robbie/homer_mapping!16
  * fix param
  * add param
  * add parametrization
  * inverted tf
  * init branch
  * Contributors: Raphael Memmesheimer, lukas

 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 12 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.37-0xenial) xenial; urgency=high

  * Merge branch 'master' of gitlab.uni-koblenz.de:robbie/homer_mapping
  * parameterize mapping with different config files
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 07 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.21-0xenial) xenial; urgency=high

  * clang format
  * merge with clang format
  * clang format
  * clang merge
  * autoformat
  * lazy pose array publisher
  * send merged map on masking update
  * dont paint contrast border arround error points
  * when map was loaded transform wasn't fetched -> fixed
  * removed unused parameter - added info output - changed to simpler interface
  * use right stamp for transform
  * remove pointer
  * refactor
  * mapping with support for holonomic odometry readings
  * more rotational diversity
  * holonmic drive particles
  * use dynamic laser frame and don't hang on startup when transform is not there
  * do map update at max all 0.2 sec not automatically all 0.2 sec
  * Contributors: Florian Polster, Lisa, Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 20 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.19-0xenial) xenial; urgency=high

  * enable smaller moves to be able to use higher odometry rates
  * no ros.spin spinOnce instead
  * use the loop_rate
  * Contributors: Florian Polster, Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 01 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.18-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 27 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.17-0xenial) xenial; urgency=high

  * Eigen3 INCLUDE_DIR fix
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Sat, 25 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.16-0xenial) xenial; urgency=high

  * changed maintainer
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 22 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.15-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 15 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.14-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.13-0xenial) xenial; urgency=high

  * best changelog ever
  * Contributors: Florian Polster

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.12-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 08 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.11-0xenial) xenial; urgency=high

  * cool changelogs
  * navigation with dynamic maps
  * dynamic masking map
  * no more squared maps
  * dynamic map size and wall kernel
  * dynamic map size
  * Contributors: Lisa
  * navigation with dynamic maps
  * dynamic masking map
  * no more squared maps
  * dynamic map size and wall kernel
  * dynamic map size
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 18 Jan 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.10-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.9-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 22 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.8-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 20 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.7-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.6-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.5-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.4-0xenial) xenial; urgency=high

  * updated changelog
  * fixes
  * Contributors: Niklas Yann Wettengel
  * fixes
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.3-0xenial) xenial; urgency=high

  * more fixes
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.2-0xenial) xenial; urgency=high

  * install launch files
  * Contributors: Niklas Yann Wettengel


